OpenVDB 13.0.0

Loading...
Searching...
No Matches
StaggeredPointSampler Struct Reference

`#include <openvdb/tools/Interpolation.h>`

Inheritance diagram for StaggeredPointSampler:

## Static Public Member Functions
static const char * | name ()
static int | radius ()
static bool | mipmap ()
static bool | consistent ()
static bool | staggered ()
static size_t | order ()
template<class TreeT>
static bool | sample (const TreeT &inTree, const Vec3R &inCoord, typename TreeT::ValueType &result)
| Sample inTree at the nearest neighbor to inCoord and store the result in result.
template<class TreeT>
static TreeT::ValueType | sample (const TreeT &inTree, const Vec3R &inCoord)
| Sample inTree at the nearest neighbor to inCoord.

## Member Function Documentation

## ◆ consistent()

bool consistent | ( |  | ) |
| inline static

## ◆ mipmap()

bool mipmap | ( |  | ) |
| inline static

## ◆ name()

const char * name | ( |  | ) |
| inline static

## ◆ order()

size_t order | ( |  | ) |
| inline static

## ◆ radius()

int radius | ( |  | ) |
| inline static

## ◆ sample() [1/2]

template<class TreeT>

TreeT::ValueType sample | ( | const TreeT & | inTree,
|  | const Vec3R & | inCoord )
| inline static

Sample inTree at the nearest neighbor to inCoord.

Returns
  the reconstructed value

## ◆ sample() [2/2]

template<class TreeT>

bool sample | ( | const TreeT & | inTree,
|  | const Vec3R & | inCoord,
|  | typename TreeT::ValueType & | result )
| inline static

Sample inTree at the nearest neighbor to inCoord and store the result in result.

Returns
  true if the sampled value is active.

## ◆ staggered()

bool staggered | ( |  | ) |
| inline static